generate_tag:
  stage: deploy
  rules:
    - if: $CI_COMMIT_TAG
      when: never
    - if: $CI_COMMIT_BRANCH == $CI_DEFAULT_BRANCH #
  script:
    - LAST_TAG=$(git describe --tags --abbrev=0)
    - IFS='.' read -r MAJOR MINOR PATCH <<< "$LAST_TAG"
    - NEW_PATCH=$((PATCH + 1))
    - NEW_VERSION="$MAJOR.$MINOR.$NEW_PATCH" #pruebassss
    - echo "TAG=$NEW_VERSION" > tag.env
  artifacts:
    reports:
      dotenv: tag.env

auto-release-master:
  stage: deploy
  image: registry.gitlab.com/gitlab-org/release-cli:v0.8.0
  needs:
    -   job: generate_tag
        artifacts: true
  rules:
    - if: $CI_COMMIT_TAG
      when: never                                 # Do not run this job when a tag is created manually
    - if: $CI_COMMIT_BRANCH == $CI_DEFAULT_BRANCH # Run this job when the default branch changes
  script:
    - echo "Release $TAG"
  release:
    name: "Release $TAG"
    description: "Created using the release-cli $EXTRA_DESCRIPTION"
    tag_name: "$TAG"
    ref: '$CI_COMMIT_SHA'
    released_at: 
